=== debian/changelog ===
libvdeslirp (0.1.0-2) unstable; urgency=medium

  * d/copyright: Fix manpages copyright

 -- Andrea Capriotti <capriott@debian.org>  Sun, 26 Apr 2020 11:26:58 +0200

libvdeslirp (0.1.0-1) unstable; urgency=medium

  * Initial release (Closes: #948170)

 -- Renzo Davoli <renzo@cs.unibo.it>  Fri, 03 Jan 2020 17:38:11 +0100
