=== debian/control ===
Source: libvdeslirp
Priority: optional
Maintainer: Debian VirtualSquare Team <virtualsquare@cs.unibo.it>
Uploaders: Andrea Capriotti <capriott@debian.org>, Renzo Davoli <renzo@cs.unibo.it>
Build-Depends: debhelper-compat (= 12), cmake (>= 3.12), libslirp-dev, libvdeplug-dev
Standards-Version: 4.4.1
Section: libs
Homepage: http://wiki.virtualsquare.org/
Vcs-Browser: https://salsa.debian.org/virtualsquare-team/libvdeslirp
Vcs-Git: https://salsa.debian.org/virtualsquare-team/libvdeslirp.git

Package: libvdeslirp-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libvdeslirp0 (= ${binary:Version}), ${misc:Depends}
Description: libslirp for Linux made easy peasy - development
 libslirp is a user-mode networking library used by virtual machines,
 containers or various tools.  This project wraps the libslirp code in a
 library featuring a clean and simple interface.
 .
 libvdeslirp implements the abstraction of virtual ethernet
 interface: after vdeslirp_open, a program can send/receive
 ethernet packets by vdeslirp_send and vdeslirp_recv as if it
 were using a tap interface.
 .
 This package contains the library

Package: libvdeslirp0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, libslirp0, libvdeplug2
Description: libslirp for Linux made easy peasy
 libslirp is a user-mode networking library used by virtual machines,
 containers or various tools.  This project wraps the libslirp code in a
 library featuring a clean and simple interface.
 .
 libvdeslirp implements the abstraction of virtual ethernet
 interface: after vdeslirp_open, a program can send/receive
 ethernet packets by vdeslirp_send and vdeslirp_recv as if it
 were using a tap interface.
 .
 This package contains the development files for libvdestack
