=== debian/changelog ===
libvdeslirp (0.1.1-2) unstable; urgency=medium

  * Team upload.
  * Don't hard-code dependencies on shared libraries.  Closes: #1068080
  * Drop a bunch of boilerplate from d/rules.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 15 Apr 2024 06:27:03 +0200

libvdeslirp (0.1.1-1) unstable; urgency=medium

  * New Upstream Release
  * d/rules: Fix dh_auto_install syntax
  * d/control: Add Rules-Requires-Root
  * d/control: Bump Standard version to 4.5.1
  * d/control: Bump debhelper compatibility level to 13

 -- Andrea Capriotti <capriott@debian.org>  Fri, 08 Jan 2021 20:44:28 +0100
