=== debian/control ===
--- 
+++ 
@@ -1,19 +1,29 @@
 Source: libvdeslirp
 Priority: optional
 Maintainer: Debian VirtualSquare Team <virtualsquare@cs.unibo.it>
-Uploaders: Andrea Capriotti <capriott@debian.org>, Renzo Davoli <renzo@cs.unibo.it>
-Build-Depends: debhelper-compat (= 12), cmake (>= 3.12), libslirp-dev, libvdeplug-dev
-Standards-Version: 4.4.1
+Uploaders:
+ Andrea Capriotti <capriott@debian.org>,
+ Renzo Davoli <renzo@cs.unibo.it>,
+Build-Depends:
+ cmake (>= 3.12),
+ debhelper-compat (= 13),
+ libslirp-dev,
+# libvdeplug seems to be required by cmake, but not actually used by anything else
+ libvdeplug-dev,
+Standards-Version: 4.5.1
 Section: libs
 Homepage: http://wiki.virtualsquare.org/
 Vcs-Browser: https://salsa.debian.org/virtualsquare-team/libvdeslirp
 Vcs-Git: https://salsa.debian.org/virtualsquare-team/libvdeslirp.git
+Rules-Requires-Root: no
 
 Package: libvdeslirp-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libvdeslirp0 (= ${binary:Version}), ${misc:Depends}
+Depends:
+ libvdeslirp0 (= ${binary:Version}),
+ ${misc:Depends},
 Description: libslirp for Linux made easy peasy - development
  libslirp is a user-mode networking library used by virtual machines,
  containers or various tools.  This project wraps the libslirp code in a
@@ -29,7 +39,9 @@
 Package: libvdeslirp0
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}, libslirp0, libvdeplug2
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: libslirp for Linux made easy peasy
  libslirp is a user-mode networking library used by virtual machines,
  containers or various tools.  This project wraps the libslirp code in a
