=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%libvdeslirp-$1.tar.gz%" \
   https://github.com/virtualsquare/libvdeslirp/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
